KPROP(8)

NAME
kprop - the kerberos slave server update client

SYNOPSIS
kprop [-force] [-realm realm] [dump-file] [slave-file]

DESCRIPTION
Changes to the database, such as changed passwords, are only made to the master server through the kadmind service. To propagate these changes to the slave servers, kprop should be run regularly on the master server. The following options are recognised.

-force
    Propagate even if there hasn't been an update to the dump file since last time.

-realm
    Realm if other than the default.

dump-file
    is a file created with kdb_util slave_dump, default is /var/kerberos/slave_dump.

slave-file
    Contains the names of the slave servers. Default is /var/kerberos/slaves.
kprop will use the principal rcmd.kerberos to authenticate to the master servers. This principal has to be added to the database, and it should also be put into the service key file on the master server.

FILES
/var/kerberos/slave_dump
/var/kerberos/slaves
/etc/srvtab

SEE ALSO
kpropd(8), kerberos(8), kadmind(8)